> ## Documentation Index
> Fetch the complete documentation index at: https://docs.subverseai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger Call

> Directly trigger a call without workflow



## OpenAPI

````yaml POST /call/trigger
openapi: 3.0.0
info:
  title: SubVerse API reference
  description: Detailed guide on how to use the SubVerse APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.subverseai.com/api
security:
  - ApiKeyAuth: []
paths:
  /call/trigger:
    post:
      description: Directly trigger a call without workflow
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DirectTriggerCall'
            examples:
              ValidRequest:
                summary: Example of trigger workflow call
                value:
                  phoneNumber: '+912298765432'
                  metadata:
                    email: johndoe@subverseai.com
                    name: John Doe
                    id: JD75816540
                  agentNumber: '+912298765432'
                  agentName: test_case
                  agentVersion: default
                  options:
                    transcriptLanguage: hi
                    allowedOverallInterruptions: 'True'
                    allowedInterruptionsInitially: 'False'
                    ttsLanguage: hi
                    voiceId: IvLWq57RKibBrqZGpQrC
                    speed: '2'
                    transferNumber: '+912298765432'
                    communicationMethod: two_way
                    dtmfEnabled: 'False'
                    initialMessage: Hi, ${name} how can I assist you today?
                    additionalContext: >-
                      The caller is asking about a refund request submitted
                      yesterday.
                  noOfRetries: 1
                  retryAfterHours: 1
                  startWorkingHour: '09:00'
                  endWorkingHour: '20:00'
                  timezone: Asia/Kolkata
                  callPriority: 3
                  callOnDate: '2025-08-08'
                  scheduleTime: '2025-08-08T08:14:57Z'
      responses:
        '200':
          description: Returns error or success response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse'
              examples:
                200 success:
                  summary: 200 - Call triggered successfully
                  value:
                    responseCode: 200
                    message: Call triggered successfully
                    data:
                      callId: '1234'
                400 error:
                  summary: 400 - Phone number error
                  value:
                    responseCode: 400
                    message: Phone number is required
                    data: null
                401 error:
                  summary: 401 - Api key is missing error
                  value:
                    responseCode: 401
                    message: Api key is missing
                    data: null
                404 error:
                  summary: 404 - Bot number error
                  value:
                    responseCode: 404
                    message: Bot number is required
                    data: null
                500 error:
                  summary: 500 - Internal server error
                  value:
                    responseCode: 500
                    message: Internal server error
                    data: null
components:
  schemas:
    DirectTriggerCall:
      type: object
      required:
        - phoneNumber
        - agentName
      properties:
        phoneNumber:
          type: string
          description: >-
            User's phone number. Must be a valid phone number with country code,
            with or without '+' prefix.
        agentName:
          type: string
          description: >-
            Agent to be used for the call, find it in Agents sections in
            dashboard.
        agentVersion:
          $ref: '#/components/schemas/AgentVersion'
        metadata:
          type: object
          description: >-
            Customer's details to be used in the call, use them in agent initial
            and system prompt as ${variable_name} format. These will be replaced
            by actual value of the variables.
        channel:
          type: string
          description: >-
            Channel to be used for the call (SIP Outbound). If provided, number
            will be randomly picked from the configured channel.
        agentNumber:
          type: string
          description: >-
            Agent phone number used to place call. Default value will be any
            number set in communication channel section (SIP Outbound). Must be
            a valid phone number with country code, with or without '+' prefix.
        options:
          $ref: '#/components/schemas/VoiceAgentOptions'
          type: object
          description: >-
            Default values as defined in the Agents section in dashboard. Use
            this if you want to override those options. E.g. if you want to
            change the language, voice, initial prompt, etc.
        noOfRetries:
          type: number
          description: Number of retries if call failed if provided
        retryAfterHours:
          type: number
          description: Retry at interval (in hrs) if provided
        startWorkingHour:
          type: string
          description: >-
            24 hour format (HH:MM). If provided call made before start hours
            will rescheduled at start hour of the day.
        endWorkingHour:
          type: string
          description: >-
            24 hour format (HH:MM). If provided call made after end hours will
            rescheduled at start hour of next day.
        timezone:
          type: string
          description: >-
            Call between start working hour and end working hour in timezone if
            provided [Default: Asia/Kolkata]
        callPriority:
          type: number
          description: >-
            Defines the urgency of the call on a scale of 1 to 100, where 1 is
            the highest priority and 100 is the lowest. Default is 10.
        callOnDate:
          type: string
          description: >-
            The date by which the call must be placed. If the call is not made
            on same day, it is marked as expired and will not trigger. Any valid
            date format is Any valid date format is “YYYY-MM-DD”.
        scheduleTime:
          type: string
          description: >-
            Schedule customer's call at a specific future time. Follow ISO date
            format (YYYY-MM-DDTHH:MM:SSZ).
    ApiResponse:
      type: object
      required:
        - responseCode
        - message
      properties:
        responseCode:
          type: integer
          description: >-
            Always returns 200 value, with error or success response details in
            message.
        message:
          type: string
          description: Success or error message with description.
        data:
          nullable: true
          description: Additional details if available.
    AgentVersion:
      oneOf:
        - type: integer
          minimum: 0
          description: Specific version number of the agent (e.g., 1, 2).
        - type: string
          enum:
            - default
            - draft
          description: >-
            Version tag: 'default' uses the currently published version, 'draft'
            uses the latest saved draft.
      description: >-
        Determines which version of the agent to use for the call. Defaults to
        "default".
    VoiceAgentOptions:
      type: object
      properties:
        transcriptLanguage:
          type: string
          description: The language used to capture and understand what the user says.
          enum:
            - en-IN
            - hi
        ttsLanguage:
          type: string
          description: Default language of the voice agent used to speak with the user.
          enum:
            - en
            - hi
          example: en
        voiceId:
          type: string
          description: >-
            The specific voice if that the voice agent will use. You can also
            provide custom voice id other than the ones mentioned here.
            Recommended list of Indian voices below: 
             M LEO ENG - 'TNHbwIMY5QmLqZdvjhNn'
             F MONIKA ENG - '2zRM7PkgwBPiau2jvVXc'
             F RIYA ENG - 'vYENaCJHl4vFKNDYPr8y'
             M LEO BOTH - 'IvLWq57RKibBrqZGpQrC'
             F MONIKA BOTH - '1qEiC6qsybMkmnNdVMbK'
             F RIYA BOTH - 'mActWQg9kibLro6Z2ouY'
          enum:
            - TNHbwIMY5QmLqZdvjhNn
            - 2zRM7PkgwBPiau2jvVXc
            - vYENaCJHl4vFKNDYPr8y
            - IvLWq57RKibBrqZGpQrC
            - 1qEiC6qsybMkmnNdVMbK
            - mActWQg9kibLro6Z2ouY
            - mention any other custom voice id
        initialMessage:
          type: string
          description: >-
            The initial greetings message. The dynamic variables (e.g. ${name})
            will be replaced by actual value provided in customer_details or
            metadata.
        additionalContext:
          type: string
          description: >-
            Extra context provided to the voice agent (e.g. details that are
            unique to the target customer category, which is not mentioned in
            the system prompt). The dynamic variables (e.g. ${name}) will be
            replaced by actual value provided in customer_details or metadata.
        allowedOverallInterruptions:
          type: string
          description: >-
            Whether the voice agent should stop speaking upon user interruption
            during the entire conversation.
          enum:
            - 'True'
            - 'False'
        allowedInterruptionsInitially:
          type: string
          description: >-
            Whether the voice agent should stop speaking upon user interruption
            while initial greetings message is playing.
          enum:
            - 'True'
            - 'False'
        speed:
          type: string
          description: How fast or slow the voice agent should talk.
          enum:
            - '0'
            - '1'
            - '2'
            - '3'
        transferNumber:
          type: string
          description: >-
            Human agent's phone number to transfer the call in case of
            escalations. Must be a valid phone number with country code, with or
            without '+' prefix.
        communicationMethod:
          type: string
          description: >-
            Whether the communication is two-way (inetractive conversation) or
            one-way (speak only the initial prompt and hang up).
          enum:
            - two_way
            - one_way
        dtmfEnabled:
          type: string
          description: >-
            Whether the user can press buttons on their phone (like 'Press 1 for
            support') to interact with the agent.
          enum:
            - 'True'
            - 'False'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Authentication header containing API key from SubVerse dashboard.

````